<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4"><title>Laborbefund</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']" id="tmp-f7de33a3-109f-48f1-b211-9e05777958be"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdalab: Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">elga-cdalab: Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:title)&lt;=1">elga-cdalab: Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">elga-cdalab: Element hl7:documentationOf ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:componentOf)=0">elga-cdalab: element hl7:componentOf MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']" id="tmp-321b6188-dbe8-4dfa-802f-4ef6f012542f"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.2.40.0.34.11.4'">elga-cdalab: @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code" id="tmp-c27679c4-732e-4744-886a-0707f2e0334d"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">elga-cdalab: Der Wert von @code/@codeSystem MUSS '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title" id="tmp-4adae96d-07c4-4864-b89a-06c6b131d854"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><extends rule="ST"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient" id="tmp-6e01d575-9176-4ecf-ab8a-8848f902f3cd"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']" id="tmp-39a5fc23-9a76-494c-9e2e-0514892fb169"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.4'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.4' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator" id="tmp-9150082c-7182-46b4-a6d4-79a657e19d83"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']" id="tmp-ad0eca96-c5db-4927-bc92-50be8f26024a"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator" id="tmp-54e2aec9-bf44-413f-ac54-2ab0a3755e36"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']" id="tmp-5c1565ba-7025-4514-8505-7e141f8e46b5"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']" id="tmp-21cab8e3-70e1-4ee5-a7ae-350237af6c9f"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@typeCode='REF' ">elga-cdalab: Der Wert von @typeCode MUSS 'REF' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:time)&gt;=1 ">elga-cdalab: Element hl7:time ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:time)&lt;=1">elga-cdalab: Element hl7:time kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdalab: Element hl7:associatedEntity ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:associatedEntity)&lt;=1">elga-cdalab: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time" id="tmp-52373e0c-5af0-49e8-8d09-bc9d55bd44b2"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity" id="tmp-ed437920-f77b-479b-9f38-475c4733e9ff"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@classCode='PROV' ">elga-cdalab: Der Wert von @classCode MUSS 'PROV' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">elga-cdalab: Element hl7:id ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:id)&lt;=1">elga-cdalab: Element hl7:id kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:addr)&gt;=1 ">elga-cdalab: Element hl7:addr ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:addr)&lt;=1">elga-cdalab: Element hl7:addr kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">elga-cdalab: Element hl7:telecom ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdalab: Element hl7:associatedPerson ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:associatedPerson)&lt;=1">elga-cdalab: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:scopingOrganization)&lt;=1">elga-cdalab: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']" id="tmp-867b2e73-6c68-4ecc-80d8-391c79cb8ccb"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.6'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id" id="tmp-45ae6687-3c54-4d50-bd72-135ce9e68529"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr" id="tmp-f2f4720d-4eba-4a22-8ae3-44d60e63044a"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "%%2" oder der Datentype MUSS "%%2" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom" id="tmp-1ba4d118-a309-4036-b2a3-2932195f5b44"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><extends rule="TEL"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name" id="tmp-e0819cfa-fd8c-4b30-adc6-91a03b6db8f2"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "%%2" oder der Datentype MUSS "%%2" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id" id="tmp-9da3d6ed-d093-4766-9118-2ab0807c4a60"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name" id="tmp-c91f7933-7a23-44bb-9c05-3837a5a39683"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert><extends rule="ON"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom" id="tmp-69f18dad-c38e-43a0-a7eb-6cb62c19d339"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><extends rule="TEL"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr" id="tmp-97c5907c-fa51-4c8d-a3be-f33f67452ad3"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "%%2" oder der Datentype MUSS "%%2" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf" id="tmp-4471a725-385e-4011-8b6a-b9f49237608e"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">elga-cdalab: Element hl7:serviceEvent ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:serviceEvent)&lt;=1">elga-cdalab: Element hl7:serviceEvent kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent" id="tmp-f47177de-9d7f-46a1-bb81-3a5984fda668"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:code)&gt;=1 ">elga-cdalab: Element hl7:code ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">elga-cdalab: Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:effectiveTime)&lt;=1">elga-cdalab: Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code" id="tmp-f28fc887-8446-4703-8032-7443fa336fd9"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdalab: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ServiceEventsLabor DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime" id="tmp-93ff81ca-31e7-463a-85a6-857dc965ee4f"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">elga-cdalab: Element hl7:low ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:low)&lt;=1">elga-cdalab: Element hl7:low kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">elga-cdalab: Element hl7:high ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:high)&lt;=1">elga-cdalab: Element hl7:high kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low" id="tmp-8b4b3e29-0a2b-4316-9be4-605ccdd2fd35"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert><extends rule="TS.DATE.MIN"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high" id="tmp-390ca658-e235-49c7-a871-9b22e5ade351"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert><extends rule="TS.DATE.MIN"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer" id="tmp-35f894e0-24ab-4e6a-a18b-18b092a59c82"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']" id="tmp-32403048-fd13-445d-ba76-7c03f1fe7512"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.7'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: elga-cdalab
-->
</pattern>