<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.3.1"><title>BI-RADS® Klassifikation</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation" id="tmp-61340ce2-7a43-4180-a222-0b98664596ee"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@classCode='OBS' ">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @classCode MUSS 'OBS' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.5.3.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:templateId[@root='1.2.40.0.34.11.5.3.1'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.5.3.1'])&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:templateId[@root='1.2.40.0.34.11.5.3.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:text kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:effectiveTime)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:statusCode ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:statusCode)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:value ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(hl7:value)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element hl7:value kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.5.3.1']
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.5.3.1']" id="tmp-d9c52b8c-a6cf-439e-bf7f-191e6b99b15c"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@root='1.2.40.0.34.11.5.3.1'">(TMP 1.2.40.0.34.11.5.3.1): @root MUSS den Wert '1.2.40.0.34.11.5.3.1' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.5.3.1): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:code
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:code" id="tmp-8a8c3eb0-2edb-47c7-9069-21aca40eb0bb"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or (@code='36625-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Breast Mammogram' and @codeSystemName='LOINC')">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @code/@codeSystem MUSS '36625-2' codeSystem '2.16.840.1.113883.6.1' displayName='Breast Mammogram' codeSystemName='LOINC' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:text
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:text" id="tmp-a2c8b13b-e403-403e-86f3-c552078d8893"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert><extends rule="ED"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(reference)&gt;=1 and not(reference/@nullFlavor)">(TMP 1.2.40.0.34.11.5.3.1): Element reference ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="count(reference)&lt;=1">(TMP 1.2.40.0.34.11.5.3.1): Element reference kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:text/reference
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:effectiveTime
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:effectiveTime" id="tmp-c158cb57-1244-43d6-8656-b601f83434a8"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:statusCode
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:statusCode" id="tmp-dbaa6771-f9a4-453a-a9b7-f16f2ab93ba7"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert><extends rule="CS"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or (@code='completed')">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @code MUSS 'completed' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.3.1
Context: *[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:value
Item: (TMP 1.2.40.0.34.11.5.3.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation/hl7:value" id="tmp-a1088191-27a2-4bf1-8edf-29eb04ae1634"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 1.2.40.0.34.11.5.3.1): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert><extends rule="CD"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.49')">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @codeSystem MUSS '1.2.40.0.34.5.49' sein.</assert><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_MammogramAssessment-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_MammogramAssessment-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120218T132340/1.2.40.0.34.11.5.3.1.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 1.2.40.0.34.11.5.3.1): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_MammogramAssessment ELGA Mammogram Assessment DYNAMIC.</assert></rule>
</pattern>